summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-5
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2014-03-10 18:13:28 +0900
committerDaiki Ueno <ueno@gnu.org>2014-03-10 18:24:15 +0900
commitd66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch)
treec4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/msgcat-5
parent0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff)
downloadexternal_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz
external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since 'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/msgcat-5')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msgcat-514
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/msgcat-5 b/gettext-tools/tests/msgcat-5
index 6040eee..8cdde50 100755..100644
--- a/gettext-tools/tests/msgcat-5
+++ b/gettext-tools/tests/msgcat-5
@@ -4,10 +4,6 @@
# Test handling of input files with different translations:
# try --use-first
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles mcat-test5.in1 mcat-test5.in2"
cat <<\EOF > mcat-test5.in1
# German message file for xyz.
# Copyright (C) 1999, 2000, 2001 xyz.
@@ -56,17 +52,13 @@ msgstr ""
"Herzlichen Glückwunsch!"
EOF
-tmpfiles="$tmpfiles mcat-test5.tmp mcat-test5.out"
rm -f mcat-test5.tmp
: ${MSGCAT=msgcat}
${MSGCAT} --use-first --more-than=0 -o mcat-test5.tmp \
- mcat-test5.in1 mcat-test5.in2
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < mcat-test5.tmp > mcat-test5.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ mcat-test5.in1 mcat-test5.in2 || exit 1
+LC_ALL=C tr -d '\r' < mcat-test5.tmp > mcat-test5.out || exit 1
-tmpfiles="$tmpfiles mcat-test5.ok"
cat << \EOF > mcat-test5.ok
# German message file for xyz.
# Copyright (C) 1999, 2000, 2001 xyz.
@@ -93,6 +85,4 @@ EOF
${DIFF} mcat-test5.ok mcat-test5.out
result=$?
-rm -fr $tmpfiles
-
exit $result